#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	dnsmasq
Version		:	2.89
Release		:	17.0.10.rel%{?dist}
Summary		:	A lightweight DHCP/caching DNS server

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2
URL		:	http://www.thekelleys.org.uk/dnsmasq/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
Dnsmasq is lightweight, easy to configure
DNS forwarder and DHCP server.
It is designed to provide DNS and, optionally,
DHCP, to a small network.
It can serve the names of local machines
which are not in the global DNS.
The DHCP server integrates with the DNS
server and allows machines with DHCP-allocated
addresses to appear in the DNS with names
configured either in each host or in a
central configuration file.
Dnsmasq supports static and dynamic DHCP leases and
BOOTP for network booting of disk-less machines.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8.gz

#=============================================================================
%package		utils
Summary		:	Utilities for manipulating DHCP server leases

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		utils
Utilities that use the standard DHCP protocol
to query/remove a DHCP server's leases.
 

#-----------------------------------------------------------------------------
%files			utils
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	all-i18n

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PREFIX=%{_prefix}				\
	BINDIR=%{_bindir}				\
	DESTDIR=%{buildroot}				\
	install-i18n

%find_lang %{name} --with-man

#-----------------------------------------------------------------------------
%changelog
